%define name 915resolution
%define version 0.5.3
%define release %mkrel 10
%define suspend_level 21

Summary: A tool to force resolution of Intel 9xx video Card
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.geocities.com/stomljen/%{name}-%{version}.tar.gz
Source1: 915resolution.init
Source2: 915resolution.default-sysconfig
Source3: 915resolution.suspend
Patch0:  915resolution-0.5.2-automatically-choose-best-mode.patch
Patch1:	 915resolution-newchipsets.patch
License: Public Domain
Group: System/Kernel and hardware
Url: http://www.geocities.com/stomljen/
BuildRoot: %{_tmppath}/%{name}-buildroot
Exclusivearch: %{ix86} x86_64 amd64
Requires(post):	rpm-helper
Requires(preun):  rpm-helper

%description
915resolution is a tool to modify the video BIOS of the 800 and 900 series
Intel graphics chipsets. This includes the 845G, 855G, and 865G chipsets, as
well as 915G, 915GM, and 945G chipsets. This modification is necessary to
allow the display of certain graphics resolutions for an Xorg or XFree86
graphics server.

915resolution's modifications of the BIOS are transient. There is no risk of
permanent modification of the BIOS. This also means that 915resolution must be
run every time the computer boots inorder for it's changes to take effect.

915resolution is derived from the tool 855resolution. However, the code differs
substantially. 915resolution's code base is much simpler. 915resolution also 
allows the modification of bits per pixel.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .newchip

%build

rm -f *.o
%make CFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_sbindir
install -m 755 %{name} %buildroot%_sbindir/%name

install -D -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%name
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%name

install -D -m 755 %{SOURCE3} %{buildroot}%{_datadir}/pm-utils/sleep.d/%{suspend_level}_%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %name

%preun
%_preun_service %name


%files
%defattr(-,root,root)
%doc chipset_info.txt README.txt
%_sbindir/%name
/etc/rc.d/init.d/%{name}
%{_datadir}/pm-utils/sleep.d/%{suspend_level}_%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/*




%changelog
* Sat Jan 26 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.5.3-10mdv2007.1
+ Revision: 158292
- Added support for 965GM, G33, Q35 and Q33 chipsets.

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix patch and really apply it
    - New version 0.5.3
    - Rediff Patch


* Wed Mar 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5.2-9mdv2007.1
+ Revision: 134607
- Update pm-utils hook

  + Olivier Blin <oblin@mandriva.com>
    - write a pm-utils hook out of the suspend-scripts hook (#28508)

* Mon Nov 13 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.2-7mdv2007.1
+ Revision: 83871
- include script to fix #25776 (Colin Guthrie)

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.2-6mdv2007.0
+ Revision: 52825
- rebuild
- Import 915resolution

* Sat Jun 17 2006 Pixel <pixel@mandriva.com> 0.5.2-5mdv2007.0
- fix patch automatically-choose-best-mode
  (if no matching X resolution, it was chosing the last entry, even if unreachable)

* Wed May 03 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.2-4mdk
- Exclusivearch should be x86_64, not only amd64

* Wed May 03 2006 Pixel <pixel@mandriva.com> 0.5.2-3mdk
- Exclusivearch x86 and am64 (bugzilla #22203)

* Sat Apr 29 2006 Pixel <pixel@mandriva.com> 0.5.2-2mdk
- add patch automatically-choose-best-mode allowing "915resolution best <X> <Y>"
  which chooses the first bios mode with xres == <X>
  (or defaults to the last available mode)
- add a service calling 915resolution before dm is launched

* Fri Apr 28 2006 Olivier Thauvin <nanardon@mandriva.org> 0.5.2-1mdk
- initial mandriva rpm

